#version 330 core
#extension GL_ARB_explicit_uniform_location : enable
#extension GL_ARB_separate_shader_objects : enable

layout(location = 0) in vec3 vertPosition;
layout(location = 1) in vec2 vertTexUV;
layout(location = 2) in vec3 vertNormal;

out vec3 fragNormal;
out vec2 fragUV;
out vec3 fragPosition;

layout(location = 0) uniform mat4 model;
layout(location = 1) uniform mat4 view_proj;

uniform int numLights;

void main()
{
	fragNormal = vertNormal;
	fragUV = vec2(vertTexUV.x, -vertTexUV.y);
	fragPosition = vertPosition;
	
	gl_Position = view_proj * model * vec4(vertPosition, 1);
}